Bug 1000387 - Incorrect license tag and included unclear licensed code
Incorrect license tag and included unclear licensed code
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-08-23 06:56 EDT by mejiko
Modified: 2013-12-10 01:08 EST (History)
1 user (show)

See Also:
Fixed In Version: ghostscript-9.06-8.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-29 20:47:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2013-08-23 06:56:32 EDT
Hello.

Source RPM is: ghostscript-9.07-10.fc19.src.rpm


[Problem]

1. Ghostscript included jpegxr. But this license is unclear. (I think.)

I see LICENSE file, This license is AGPL incompatible.


Question: Is this license is fedora acceptable license ?

If this license is not acceptable license, This is non-free.
If this is license is acceptable license, This is free, No problem.


Files:

ghostscript-9.07/jpegxr/*

License:

ghostscript-9.07/jpegxr/COPYRIGHT.txt



2. I check included cmap file, This cmap files licensed under 3-cause BSD License. 

Note: "Identify-UTF16-H" license is not 3-cause BSD license. This cmap file license is AGPL.

See: http://www.artifex.com/page/licensing-information.html


Files:

ghostscript-9.07/Resource/CMap/*




Suggests:

1. Remove problematic codes and rebuild. and fixing license tag.

2. Replace Fedora free (Fedora acceptable licensed) code. and fixing license tag.

E.g jxrlib (2-cause BSD License)

3. Remove fedora repos.

Thanks.



Reference:

https://jxrlib.codeplex.com/

http://git.ghostscript.com/?p=ghostpdl.git;a=blob;f=gs/jpegxr/COPYRIGHT.txt;h=df46e6594385bfa107389d9ae255f7921b578d00;hb=HEAD

http://git.ghostscript.com/?p=ghostpdl.git;a=blob;f=gs/LICENSE;h=20e2ae4d0c1a5b64787bd472718524c59dc14e89;hb=HEAD
Comment 1 mejiko 2013-08-23 06:57:16 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Tim Waugh 2013-08-28 08:14:35 EDT
(In reply to mejiko from comment #0)
> 1. Ghostscript included jpegxr. But this license is unclear. (I think.)

This doesn't seem to be part of the build. I can add a 'rm -rf jpegxr' to %prep to be sure... or does this need the tarball to be regenerated?

> 2. I check included cmap file, This cmap files licensed under 3-cause BSD
> License. 
> 
> Note: "Identify-UTF16-H" license is not 3-cause BSD license. This cmap file
> license is AGPL.

I'm not sure that's the case.  LICENSE has this paragraph:

==>
The files in the Resource directory and any subdirectories thereof
are also part of GPL Ghostscript, with the explicit exception of
the files in the CMap subdirectory (except "Identity-UTF16-H",
which is part of GPL Ghostscript). The CMap files are copyright
Adobe Systems Incorporated and covered by a separate, Affero GPL
compatible license.
<==

So Identity-UTF16-H is part of GPL Ghostscript and therefore licensed as Affero GPL:

==>
GPL Ghostscript is free software; you can redistribute it and/or
modify it under the terms the GNU Affero General Public License as
published by the Free Software Foundation, either version 3
of the License, or (at your option) any later version.
<==

The other CMap files are covered by a separate license which is compatible with the Affero GPL license.

I'm not sure I see the problem with the CMap licensing.

Note: if there is still a problem with the CMap licensing, an option is to use the CMap data from the poppler-data package.
Comment 3 mejiko 2013-08-30 08:54:11 EDT
(In reply to Tim Waugh from comment #2)
> (In reply to mejiko from comment #0)
> > 1. Ghostscript included jpegxr. But this license is unclear. (I think.)
> 
> This doesn't seem to be part of the build. I can add a 'rm -rf jpegxr' to
> %prep to be sure... or does this need the tarball to be regenerated?

I recommend that regenerate tarball. (If this license is non-free)

This license is new license.
Is this license is fedora acceptable license ? I don't know.

> I'm not sure I see the problem with the CMap licensing.

I understand, This is not license problem. but license tag is incorrent. 

Cmap files licensed under 3-cause BSD license (but Identify-UTF16-H is AGPL'ed), 3-cause BSD license and AGPL is permit modify.

Thanks.
Comment 4 Fedora Update System 2013-09-26 10:57:22 EDT
ghostscript-9.06-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghostscript-9.06-8.fc18
Comment 5 Fedora Update System 2013-09-26 11:18:12 EDT
ghostscript-9.07-15.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghostscript-9.07-15.fc19
Comment 6 Fedora Update System 2013-09-26 11:20:17 EDT
ghostscript-9.10-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghostscript-9.10-4.fc20
Comment 7 Fedora Update System 2013-09-26 20:35:06 EDT
Package ghostscript-9.06-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.06-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17687/ghostscript-9.06-8.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-09-29 20:47:03 EDT
ghostscript-9.07-15.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-30 22:08:20 EDT
ghostscript-9.10-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-12-10 01:08:15 EST
ghostscript-9.06-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.